classification
Title: Documentation: "complete ordering" should be "total ordering"
Type: enhancement Stage:
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: abcdef, docs@python, ezio.melotti, python-dev, rhettinger
Priority: normal Keywords:

Created on 2013-05-06 20:22 by abcdef, last changed 2013-05-11 06:52 by rhettinger. This issue is now closed.

Messages (6)
msg188585 - (view) Author: (abcdef) Date: 2013-05-06 20:22
The set documentation [http://docs.python.org/3.4/library/stdtypes.html] states

"The subset and equality comparisons do not generalize to a complete ordering function. For example, any two disjoint sets are not equal and are not subsets of each other..."

Could "complete ordering" be changed to "total ordering"? This is the correct mathematical terminology. A total ordering is one where every pair is comparable. A complete ordering is one where each bounded subset has a supremum/infimum (for example, reals form a complete ordered field). This can be verified at Wikipedia [http://en.wikipedia.org/wiki/Total_order] and essentially every set theory book.
msg188588 - (view) Author: (abcdef) Date: 2013-05-06 20:32
Another small thing: "For example, any two disjoint sets are not equal and are not subsets of each other, so all of the following return False: a<b, a==b, or a>b." It should be "any two nonempty disjoint sets".
msg188613 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-07 01:21
New changeset a285ce18bd55 by Raymond Hettinger in branch '2.7':
Issue 17920:  Fix-up terminology in the set documentation
http://hg.python.org/cpython/rev/a285ce18bd55
msg188614 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-05-07 01:23
New changeset 6ec04c5dae6e by Raymond Hettinger in branch '3.3':
Issue 17920:  Fix-up terminology in the set documentation
http://hg.python.org/cpython/rev/6ec04c5dae6e
msg188855 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-05-10 17:50
Raymond, since this has been merged to default too in e163c13b941c, can the issue be closed or is there something else left to do?
msg188898 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2013-05-11 06:52
It can be closed now.
Thanks for the reminder.
History
Date User Action Args
2013-05-11 06:52:40rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg188898
2013-05-10 17:50:36ezio.melottisetnosy: + ezio.melotti
messages: + msg188855
2013-05-07 01:23:22python-devsetmessages: + msg188614
2013-05-07 01:21:18python-devsetnosy: + python-dev
messages: + msg188613
2013-05-07 01:18:35rhettingersetassignee: docs@python -> rhettinger

nosy: + rhettinger
2013-05-06 20:32:24abcdefsetmessages: + msg188588
2013-05-06 20:22:51abcdefcreate